OpenNMS API 1.2.9

## org.opennms.web.admin.users.parsers
Class UsersWriter

    java.lang.Object
      org.opennms.web.parsers.XMLWriter
          org.opennms.web.admin.users.parsers.UsersWriter

public class UsersWriter
extends XMLWriter

This class is used to parse data from and save data to the users.xml file.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary

Fields inherited from class org.opennms.web.parsers.XMLWriter
`DTD_EXTENSION, m_baseName, m_docBuilder, m_document, m_dtd, m_dtdPath, m_fileName, m_headerInfo, m_xmlPath, XML_EXTENSION`

Constructor Summary
`UsersWriter(java.lang.String fileName)` Create a UsersWriter.

Method Summary
`protected void` `saveDocument(java.util.Collection users)` This method saves the list of users to the specified file

Methods inherited from class org.opennms.web.parsers.XMLWriter
`addCDataElement, addDataElement, addEmptyElement, backup, getDTD, getVersion, loadDTD, save, serializeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsersWriter

    public UsersWriter(java.lang.String fileName)
                throws XMLWriteException

  Create a UsersWriter. Default constructor, intializes the member variables

Method Detail

### saveDocument

    protected void saveDocument(java.util.Collection users)
                         throws XMLWriteException

  This method saves the list of users to the specified file

  Specified by:
    `saveDocument` in class `XMLWriter`
  Throws:
    `XMLWriteException` - if the save failed

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.